# Detect the distribution in use
%global __despace head -n 1 | tr -d '[:space:]' | sed -e 's/[(].*[)]//g'
%global __lower4 cut -c 1-4 | tr '[:upper:]' '[:lower:]'
%global __distfile %([ -f /etc/SuSE-release ] && echo /etc/SuSE-release || echo /etc/redhat-release)
%global __distinit %(sed -e 's/ release .*//' -e 's/\\([A-Za-z]\\)[^ ]*/\\1/g' %{__distfile} | %{__despace} | %{__lower4})
%global __distvers %(sed -e 's/.* release \\([^. ]*\\).*/\\1/' %{__distfile} | %{__despace})
# Identify CentOS Linux and Scientific Linux as rhel
%if "%{__distinit}" == "c" || "%{__distinit}" == "cl" || "%{__distinit}" == "sl" || "%{__distinit}" == "sls"
%global __distinit rhel
%endif
# Dist tag for Fedora is still "fc"
%if "%{__distinit}" == "f"
%global __distinit fc
%endif

Name:		perl-Unicode-MapUTF8
Version:	1.11
Release:	29.%{__distinit}%{__distvers}
Summary:	Conversions to and from arbitrary character sets and UTF8
Group:		Development/Libraries
License:	GPL+ or Artistic
URL:		http://search.cpan.org/dist/Unicode-MapUTF8/
Source0:	http://search.cpan.org/CPAN/authors/id/S/SN/SNOWHARE/Unicode-MapUTF8-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(id -nu)
BuildArch:	noarch
# Module Build
BuildRequires:	coreutils
BuildRequires:	findutils
BuildRequires:	make
BuildRequires:	perl
%if 0%{?fedora} > 20 || 0%{?rhel} > 7
BuildRequires:	perl-generators
%endif
BuildRequires:	perl(ExtUtils::MakeMaker)
BuildRequires:	perl(File::Copy)
BuildRequires:	perl(File::Spec)
# Module Runtime
BuildRequires:	perl(Carp)
BuildRequires:	perl(Exporter)
BuildRequires:	perl(Jcode)
BuildRequires:	perl(strict)
BuildRequires:	perl(subs)
BuildRequires:	perl(Unicode::Map)
BuildRequires:	perl(Unicode::Map8)
BuildRequires:	perl(Unicode::String)
BuildRequires:	perl(vars)
# Test Suite
BuildRequires:	perl(lib)
# Optional Tests
BuildRequires:	perl(Test::Distribution)
BuildRequires:	perl(Test::More)
BuildRequires:	perl(Test::Pod)
BuildRequires:	perl(Test::Pod::Coverage)
# Dependencies
Requires:	perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))

%description
Unicode::MapUTF8 Provides an adapter layer between core routines for
converting to and from UTF8 and other encodings. In essence, a way to
give multiple existing Unicode modules a single common interface so
you don't have to know the underlying implementations to do simple
UTF8 to-from other character set string conversions. As such, it wraps
the Unicode::String, Unicode::Map8, Unicode::Map and Jcode modules in
a standardized and simple API.

%prep
%setup -q -n Unicode-MapUTF8-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -delete
%{_fixperms} %{buildroot}

%check
make test

%clean
rm -rf %{buildroot}

%files
%doc Changes README
%dir %{perl_vendorlib}/Unicode/
%doc %{perl_vendorlib}/Unicode/MapUTF8.pod
%{perl_vendorlib}/Unicode/MapUTF8.pm
%{_mandir}/man3/Unicode::MapUTF8.3*

%changelog
* Thu Oct 13 2016 Paul Howarth <paul@city-fan.org> - 1.11-29
- Classify buildreqs by usage
- Simplify find command using -delete

* Wed Sep 10 2014 Paul Howarth <paul@city-fan.org> - 1.11-25
- Drop %%defattr, redundant since rpm 4.4

* Thu Jul  5 2012 Paul Howarth <paul@city-fan.org> - 1.11-18
- BR: perl(Carp), perl(Exporter), perl(File::Spec) and perl(lib)
- Don't need to remove empty directories from the buildroot
- Drop support for old distributions prior to FC-3:
  - Don't need to define %%{perl_vendorlib}
  - Use DESTDIR rather than PERL_INSTALL_ROOT

* Fri Jul  8 2011 Paul Howarth <paul@city-fan.org> - 1.11-8
- Rebuild for perl 5.14.1 in Rawhide
- Add perl(:MODULE_COMPAT_*) dependency
- Nobody else likes macros for commands
- Fix dist tag for CentOS 6 and Scientific Linux

* Tue May 18 2010 Paul Howarth <paul@city-fan.org> - 1.11-7
- Fix dist tag for RHEL-6 Beta

* Fri Mar  5 2010 Paul Howarth <paul@city-fan.org> - 1.11-6
- Dist tag for Rawhide no longer needs special-casing
- Use %%{_fixperms} macro instead of our own %%{__chmod} incantation

* Fri Oct  2 2009 Paul Howarth <paul@city-fan.org> - 1.11-5
- Define RPM macros in global scope

* Thu Oct 30 2008 Paul Howarth <paul@city-fan.org> - 1.11-4
- Clarify license as GPL version 1 or later, or Artistic (i.e. same as perl)
- Tweak dist tag macros to work on current Rawhide with three-part releasenum
- Add buildreqs Test::Distribution, Test::More, Unicode::String

* Wed Jun  6 2007 Paul Howarth <paul@city-fan.org> - 1.11-3
- Fix dist tag for Fedora 7 onwards
- Define %%{__id_u} in a more portable way
- Add buildreq perl(ExtUtils::MakeMaker)

* Wed Oct 25 2006 Paul Howarth <paul@city-fan.org> - 1.11-2
- Fix dist tag for development builds
- Fix argument order for find with -depth
- Add buildreqs perl(Test::Pod), perl(Test::Pod::Coverage)

* Thu Jan 26 2006 Paul Howarth <paul@city-fan.org> - 1.11-1
- Import from Fedora Extras
- Use search.cpan.org URL for source
- Tidy up
- Mark .pod file as %%doc

* Wed Apr  6 2005 Michael Schwendt <mschwendt[AT]users.sf.net>
- Rebuilt

* Mon Feb  2 2004 Ville Skyttä <ville.skytta at iki.fi> - 0:1.09-0.fdr.4
- Reduce directory ownership bloat

* Sat Oct 11 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:1.09-0.fdr.3
- Install into vendor dirs
- Specfile cleanup

* Mon Jul  7 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:1.09-0.fdr.2
- Regenerate %%install section with cpanflute2
- Improve %%description

* Wed May  7 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:1.09-0.fdr.1
- Update to current Fedora guidelines

* Sun Mar  2 2003 Ville Skyttä <ville.skytta at iki.fi> - 1.09-1.fedora.1
- First Fedora release
